45ef2e968de32d53f46500092547ca143df64881
[scilab.git] / scilab / modules / api_scilab / Makefile.in
1 # Makefile.in generated by automake 1.11.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) 2009 - Digiteo - Allan CORNET
20 #
21 # This file is distributed under the same license as the Scilab package.
22
23 ### SOURCES ###
24
25 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
26 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
27 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
28 #
29 # This file must be used under the terms of the CeCILL.
30 # This source file is licensed as described in the file COPYING, which
31 # you should have received as part of this distribution.  The terms
32 # are also available at
33 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
34 #
35
36 ##########
37 ### Makefile included stuff
38 ### Target, variable, suffixes which are supposed to be usefull in every makefile.am
39 ##########
40
41
42
43 VPATH = @srcdir@
44 pkgdatadir = $(datadir)/@PACKAGE@
45 pkgincludedir = $(includedir)/@PACKAGE@
46 pkglibdir = $(libdir)/@PACKAGE@
47 pkglibexecdir = $(libexecdir)/@PACKAGE@
48 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
49 install_sh_DATA = $(install_sh) -c -m 644
50 install_sh_PROGRAM = $(install_sh) -c
51 install_sh_SCRIPT = $(install_sh) -c
52 INSTALL_HEADER = $(INSTALL_DATA)
53 transform = $(program_transform_name)
54 NORMAL_INSTALL = :
55 PRE_INSTALL = :
56 POST_INSTALL = :
57 NORMAL_UNINSTALL = :
58 PRE_UNINSTALL = :
59 POST_UNINSTALL = :
60 build_triplet = @build@
61 host_triplet = @host@
62 DIST_COMMON = $(libsciapi_scilab_la_include_HEADERS) \
63         $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
64         $(top_srcdir)/Makefile.incl.am
65 @NEED_JAVA_TRUE@am__append_1 = java
66 subdir = modules/api_scilab
67 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
68 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
69         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/docbook.m4 \
70         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
71         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
72         $(top_srcdir)/m4/intel_compiler.m4 \
73         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
74         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
75         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
76         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
77         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
78         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
79         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
80         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/relocatable.m4 \
81         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
82         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
83         $(top_srcdir)/configure.ac
84 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
85         $(ACLOCAL_M4)
86 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
87 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
88 CONFIG_CLEAN_FILES =
89 CONFIG_CLEAN_VPATH_FILES =
90 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
91 am__vpath_adj = case $$p in \
92     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
93     *) f=$$p;; \
94   esac;
95 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
96 am__install_max = 40
97 am__nobase_strip_setup = \
98   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
99 am__nobase_strip = \
100   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
101 am__nobase_list = $(am__nobase_strip_setup); \
102   for p in $$list; do echo "$$p $$p"; done | \
103   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
104   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
105     if (++n[$$2] == $(am__install_max)) \
106       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
107     END { for (dir in files) print dir, files[dir] }'
108 am__base_list = \
109   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
110   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
111 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
112         "$(DESTDIR)$(libsciapi_scilab_la_etcdir)" \
113         "$(DESTDIR)$(libsciapi_scilab_la_rootdir)" \
114         "$(DESTDIR)$(libsciapi_scilab_la_includedir)"
115 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
116 libsciapi_scilab_la_DEPENDENCIES =
117 am__objects_1 = libsciapi_scilab_la-api_boolean.lo \
118         libsciapi_scilab_la-api_boolean_sparse.lo \
119         libsciapi_scilab_la-api_common.lo \
120         libsciapi_scilab_la-api_double.lo \
121         libsciapi_scilab_la-api_int.lo libsciapi_scilab_la-api_list.lo \
122         libsciapi_scilab_la-api_poly.lo \
123         libsciapi_scilab_la-api_sparse.lo \
124         libsciapi_scilab_la-api_string.lo \
125         libsciapi_scilab_la-api_pointer.lo \
126         libsciapi_scilab_la-api_error.lo
127 am_libsciapi_scilab_la_OBJECTS = $(am__objects_1)
128 libsciapi_scilab_la_OBJECTS = $(am_libsciapi_scilab_la_OBJECTS)
129 libsciapi_scilab_la_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) \
130         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
131         $(CXXFLAGS) $(libsciapi_scilab_la_LDFLAGS) $(LDFLAGS) -o $@
132 @MAINTAINER_MODE_FALSE@am_libsciapi_scilab_la_rpath =
133 @MAINTAINER_MODE_TRUE@am_libsciapi_scilab_la_rpath = -rpath \
134 @MAINTAINER_MODE_TRUE@  $(pkglibdir)
135 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
136 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
137 am__depfiles_maybe = depfiles
138 am__mv = mv -f
139 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
140         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
141 LTCXXCOMPILE = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
142         --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
143         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
144 CXXLD = $(CXX)
145 CXXLINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
146         --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
147         $(LDFLAGS) -o $@
148 SOURCES = $(libsciapi_scilab_la_SOURCES)
149 DIST_SOURCES = $(libsciapi_scilab_la_SOURCES)
150 DATA = $(libsciapi_scilab_la_etc_DATA) \
151         $(libsciapi_scilab_la_root_DATA)
152 HEADERS = $(libsciapi_scilab_la_include_HEADERS)
153 ETAGS = etags
154 CTAGS = ctags
155 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
156 ACLOCAL = @ACLOCAL@
157 ALL_LINGUAS = @ALL_LINGUAS@
158 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
159 AMTAR = @AMTAR@
160 ANT = @ANT@
161 ANTLR = @ANTLR@
162 AR = @AR@
163 ARPACK_LIBS = @ARPACK_LIBS@
164 AUTOCONF = @AUTOCONF@
165 AUTOHEADER = @AUTOHEADER@
166 AUTOMAKE = @AUTOMAKE@
167 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
168 AWK = @AWK@
169 BATIK = @BATIK@
170 BLAS_LIBS = @BLAS_LIBS@
171 BSH = @BSH@
172 CC = @CC@
173 CCACHE = @CCACHE@
174 CCDEPMODE = @CCDEPMODE@
175 CFLAGS = @CFLAGS@
176 CHECKSTYLE = @CHECKSTYLE@
177 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
178 COMMONS_IO = @COMMONS_IO@
179 COMMONS_LOGGING = @COMMONS_LOGGING@
180 CPP = @CPP@
181 CPPFLAGS = @CPPFLAGS@
182 CXX = @CXX@
183 CXXCPP = @CXXCPP@
184 CXXDEPMODE = @CXXDEPMODE@
185 CXXFLAGS = @CXXFLAGS@
186 CYGPATH_W = @CYGPATH_W@
187 DEFS = @DEFS@
188 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
189 DEPDIR = @DEPDIR@
190 DOCBOOK_ROOT = @DOCBOOK_ROOT@
191 DSYMUTIL = @DSYMUTIL@
192 DUMPBIN = @DUMPBIN@
193 ECHO_C = @ECHO_C@
194 ECHO_N = @ECHO_N@
195 ECHO_T = @ECHO_T@
196 EGREP = @EGREP@
197 EXEEXT = @EXEEXT@
198 F77 = @F77@
199 FFLAGS = @FFLAGS@
200 FFTW3_LIB = @FFTW3_LIB@
201 FFTW_ENABLE = @FFTW_ENABLE@
202 FGREP = @FGREP@
203 FLEXDOCK = @FLEXDOCK@
204 FLIBS = @FLIBS@
205 FOP = @FOP@
206 GENHTML = @GENHTML@
207 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
208 GIWS_BIN = @GIWS_BIN@
209 GLUEGEN_RT = @GLUEGEN_RT@
210 GMSGFMT = @GMSGFMT@
211 GMSGFMT_015 = @GMSGFMT_015@
212 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
213 GREP = @GREP@
214 GUI_ENABLE = @GUI_ENABLE@
215 HDF5_CFLAGS = @HDF5_CFLAGS@
216 HDF5_ENABLE = @HDF5_ENABLE@
217 HDF5_LIBS = @HDF5_LIBS@
218 HELP_ENABLE = @HELP_ENABLE@
219 INSTALL = @INSTALL@
220 INSTALL_DATA = @INSTALL_DATA@
221 INSTALL_PROGRAM = @INSTALL_PROGRAM@
222 INSTALL_SCRIPT = @INSTALL_SCRIPT@
223 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
224 INTLLIBS = @INTLLIBS@
225 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
226 JAR = @JAR@
227 JAVA = @JAVA@
228 JAVAC = @JAVAC@
229 JAVAC_DEBUG = @JAVAC_DEBUG@
230 JAVADOC = @JAVADOC@
231 JAVAH = @JAVAH@
232 JAVASCI_ENABLE = @JAVASCI_ENABLE@
233 JAVA_ENABLE = @JAVA_ENABLE@
234 JAVA_G = @JAVA_G@
235 JAVA_HOME = @JAVA_HOME@
236 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
237 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
238 JCOMMANDER = @JCOMMANDER@
239 JDB = @JDB@
240 JEUCLID_CORE = @JEUCLID_CORE@
241 JGRAPHX = @JGRAPHX@
242 JHALL = @JHALL@
243 JHDF5 = @JHDF5@
244 JLATEXMATH = @JLATEXMATH@
245 JLATEXMATH_FOP = @JLATEXMATH_FOP@
246 JOGL = @JOGL@
247 JROSETTA_API = @JROSETTA_API@
248 JROSETTA_ENGINE = @JROSETTA_ENGINE@
249 JUNIT = @JUNIT@
250 LAPACK_LIBS = @LAPACK_LIBS@
251 LCOV = @LCOV@
252 LD = @LD@
253 LDFLAGS = @LDFLAGS@
254 LIBICONV = @LIBICONV@
255 LIBINTL = @LIBINTL@
256 LIBM = @LIBM@
257 LIBOBJS = @LIBOBJS@
258 LIBS = @LIBS@
259 LIBTOOL = @LIBTOOL@
260 LIPO = @LIPO@
261 LN_S = @LN_S@
262 LOGGING_LEVEL = @LOGGING_LEVEL@
263 LOOKS = @LOOKS@
264 LTLIBICONV = @LTLIBICONV@
265 LTLIBINTL = @LTLIBINTL@
266 LTLIBOBJS = @LTLIBOBJS@
267 MAINT = @MAINT@
268 MAKEINFO = @MAKEINFO@
269 MATIO_CFLAGS = @MATIO_CFLAGS@
270 MATIO_ENABLE = @MATIO_ENABLE@
271 MATIO_LIBS = @MATIO_LIBS@
272 MKDIR_P = @MKDIR_P@
273 MSGCAT = @MSGCAT@
274 MSGFMT = @MSGFMT@
275 MSGFMT_015 = @MSGFMT_015@
276 MSGMERGE = @MSGMERGE@
277 NM = @NM@
278 NMEDIT = @NMEDIT@
279 OBJDUMP = @OBJDUMP@
280 OBJEXT = @OBJEXT@
281 OCAMLC = @OCAMLC@
282 OCAMLDEP = @OCAMLDEP@
283 OCAMLLEX = @OCAMLLEX@
284 OCAMLOPT = @OCAMLOPT@
285 OCAMLYACC = @OCAMLYACC@
286 OPENMP_CFLAGS = @OPENMP_CFLAGS@
287 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
288 OPENMP_ENABLE = @OPENMP_ENABLE@
289 OPENMP_LIBS = @OPENMP_LIBS@
290 OTOOL = @OTOOL@
291 OTOOL64 = @OTOOL64@
292 PACKAGE = @PACKAGE@
293 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
294 PACKAGE_NAME = @PACKAGE_NAME@
295 PACKAGE_STRING = @PACKAGE_STRING@
296 PACKAGE_TARNAME = @PACKAGE_TARNAME@
297 PACKAGE_URL = @PACKAGE_URL@
298 PACKAGE_VERSION = @PACKAGE_VERSION@
299 PATH_SEPARATOR = @PATH_SEPARATOR@
300 PCRE_CFLAGS = @PCRE_CFLAGS@
301 PCRE_CONFIG = @PCRE_CONFIG@
302 PCRE_LIBS = @PCRE_LIBS@
303 PCRE_VERSION = @PCRE_VERSION@
304 PKG_CONFIG = @PKG_CONFIG@
305 POSUB = @POSUB@
306 POW_LIB = @POW_LIB@
307 PYTHON = @PYTHON@
308 QDOX = @QDOX@
309 RANLIB = @RANLIB@
310 RELOCATABLE = @RELOCATABLE@
311 RT_LIB = @RT_LIB@
312 SAXON = @SAXON@
313 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
314 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
315 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
316 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
317 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
318 SED = @SED@
319 SET_MAKE = @SET_MAKE@
320 SET_RELOCATABLE = @SET_RELOCATABLE@
321 SHELL = @SHELL@
322 SKINLF = @SKINLF@
323 SPLINT = @SPLINT@
324 STRIP = @STRIP@
325 SWIG_BIN = @SWIG_BIN@
326 SWIG_JAVA = @SWIG_JAVA@
327 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
328 TCLTK_LIBS = @TCLTK_LIBS@
329 TCL_INC_PATH = @TCL_INC_PATH@
330 TESTNG = @TESTNG@
331 TK_INC_PATH = @TK_INC_PATH@
332 UMFPACK_ENABLE = @UMFPACK_ENABLE@
333 UMFPACK_LIB = @UMFPACK_LIB@
334 USE_NLS = @USE_NLS@
335 VERSION = @VERSION@
336 WITH_OCAML = @WITH_OCAML@
337 WITH_TKSCI = @WITH_TKSCI@
338 XCOS_ENABLE = @XCOS_ENABLE@
339 XGETTEXT = @XGETTEXT@
340 XGETTEXT_015 = @XGETTEXT_015@
341 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
342 XMKMF = @XMKMF@
343 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
344 XML_APIS_EXT = @XML_APIS_EXT@
345 XML_CONFIG = @XML_CONFIG@
346 XML_FLAGS = @XML_FLAGS@
347 XML_LIBS = @XML_LIBS@
348 XML_VERSION = @XML_VERSION@
349 X_CFLAGS = @X_CFLAGS@
350 X_EXTRA_LIBS = @X_EXTRA_LIBS@
351 X_LIBS = @X_LIBS@
352 X_PRE_LIBS = @X_PRE_LIBS@
353 abs_builddir = @abs_builddir@
354 abs_srcdir = @abs_srcdir@
355 abs_top_builddir = @abs_top_builddir@
356 abs_top_srcdir = @abs_top_srcdir@
357 ac_ct_CC = @ac_ct_CC@
358 ac_ct_CXX = @ac_ct_CXX@
359 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
360 ac_ct_F77 = @ac_ct_F77@
361 am__include = @am__include@
362 am__leading_dot = @am__leading_dot@
363 am__quote = @am__quote@
364 am__tar = @am__tar@
365 am__untar = @am__untar@
366 bindir = @bindir@
367 build = @build@
368 build_alias = @build_alias@
369 build_cpu = @build_cpu@
370 build_os = @build_os@
371 build_vendor = @build_vendor@
372 builddir = @builddir@
373 cxx_present = @cxx_present@
374 datadir = @datadir@
375 datarootdir = @datarootdir@
376 docdir = @docdir@
377 dvidir = @dvidir@
378 exec_prefix = @exec_prefix@
379 host = @host@
380 host_alias = @host_alias@
381 host_cpu = @host_cpu@
382 host_os = @host_os@
383 host_vendor = @host_vendor@
384 htmldir = @htmldir@
385 includedir = @includedir@
386 infodir = @infodir@
387 install_sh = @install_sh@
388 libdir = @libdir@
389 libexecdir = @libexecdir@
390 localedir = @localedir@
391 localstatedir = @localstatedir@
392 mandir = @mandir@
393 mkdir_p = @mkdir_p@
394 oldincludedir = @oldincludedir@
395 pdfdir = @pdfdir@
396 prefix = @prefix@
397 program_transform_name = @program_transform_name@
398 psdir = @psdir@
399 sbindir = @sbindir@
400 sharedstatedir = @sharedstatedir@
401 srcdir = @srcdir@
402 sysconfdir = @sysconfdir@
403 target_alias = @target_alias@
404 top_build_prefix = @top_build_prefix@
405 top_builddir = @top_builddir@
406 top_srcdir = @top_srcdir@
407 API_SCILAB_CPP_SOURCES = src/cpp/api_boolean.cpp \
408 src/cpp/api_boolean_sparse.cpp \
409 src/cpp/api_common.cpp \
410 src/cpp/api_double.cpp \
411 src/cpp/api_int.cpp \
412 src/cpp/api_list.cpp \
413 src/cpp/api_poly.cpp \
414 src/cpp/api_sparse.cpp \
415 src/cpp/api_string.cpp \
416 src/cpp/api_pointer.cpp \
417 src/cpp/api_error.cpp
418
419 libsciapi_scilab_la_CFLAGS = -I$(srcdir)/includes/ \
420 -I$(srcdir)/src/c/ \
421 -I$(top_srcdir)/modules/core/includes \
422 -I$(top_srcdir)/modules/call_scilab/includes \
423 -I$(top_srcdir)/libs/MALLOC/includes/ \
424 -I$(top_srcdir)/modules/localization/includes \
425 -I$(top_srcdir)/modules/output_stream/includes \
426 -I$(top_srcdir)/modules/string/includes
427
428 libsciapi_scilab_la_CPPFLAGS = -I$(srcdir)/includes/ \
429 -I$(srcdir)/src/cpp/ \
430 -I$(top_srcdir)/modules/core/includes \
431 -I$(top_srcdir)/modules/call_scilab/includes \
432 -I$(top_srcdir)/libs/MALLOC/includes/ \
433 -I$(top_srcdir)/modules/localization/includes \
434 -I$(top_srcdir)/modules/output_stream/includes \
435 -I$(top_srcdir)/modules/string/includes
436
437 @MAINTAINER_MODE_TRUE@pkglib_LTLIBRARIES = libsciapi_scilab.la
438 @MAINTAINER_MODE_FALSE@noinst_LTLIBRARIES = libsciapi_scilab.la
439 libsciapi_scilab_la_LDFLAGS = -version-number $(SCILAB_LIBRARY_VERSION)
440 libsciapi_scilab_la_SOURCES = $(API_SCILAB_C_SOURCES) $(API_SCILAB_CPP_SOURCES)
441
442 # For the code check (splint)
443 CHECK_SRC = $(libsciapi_scilab_la_SOURCES)
444 INCLUDE_FLAGS = $(libsciapi_scilab_la_CFLAGS) 
445 libsciapi_scilab_la_LIBADD = 
446 #
447
448 #### Target ######
449 modulename = api_scilab
450
451 #### api_scilab : Conf files ####
452 libsciapi_scilab_la_rootdir = $(mydatadir)
453 libsciapi_scilab_la_root_DATA = license.txt 
454
455 #### api_scilab : init scripts ####
456 libsciapi_scilab_la_etcdir = $(mydatadir)/etc
457 libsciapi_scilab_la_etc_DATA = etc/api_scilab.quit etc/api_scilab.start
458
459 #### api_scilab : include files ####
460 libsciapi_scilab_la_includedir = $(pkgincludedir)
461 libsciapi_scilab_la_include_HEADERS = includes/api_boolean.h \
462 includes/api_boolean_sparse.h \
463 includes/api_common.h \
464 includes/api_error.h \
465 includes/api_double.h \
466 includes/api_int.h \
467 includes/api_list.h \
468 includes/api_pointer.h \
469 includes/api_poly.h \
470 includes/api_sparse.h \
471 includes/api_string.h \
472 includes/api_scilab.h
473
474
475 # Where all the Scilab stuff is installed (macros, help, ...)
476 mydatadir = $(pkgdatadir)/modules/$(modulename)
477
478 # splint options
479 SPLINT_OPTIONS = -weak -booltype BOOL
480
481 ########################### JAVA ######################################
482 #### We are delegating java compilation to ant... Thanks to that
483 #### the procedure will be the same with Microsoft Windows (C)
484 #### and Linux/Unix
485 #######################################################################
486 TARGETS_ALL = $(am__append_1)
487
488 ################ MACROS ######################
489 # Rule to build a macro
490 # NOT USED  AT THE MOMENT
491 SUFFIXES = .sci 
492
493 ########### INSTALL DOCUMENTATION ###################
494
495 # Install documentation files into the right target
496 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
497 # automake needs the html files to be present which is not the case when
498 # we are building Scilab
499
500 # Where it should be installed
501 pkgdocdir = $(mydatadir)
502
503 # What is the mask of the help source
504 DOCMASKXML = *.xml
505
506 # What is the mask of the MathML sources
507 DOCMASKMML = *.mml
508
509 ########### INSTALL DATA ###################
510 # Install macros, help & demos
511 # Where it should be installed
512 pkgmacrosdir = $(mydatadir)
513 # Which directory we process
514 MACRODIRS = macros/
515 # Mask of the Scilab sources macros
516 MACROMASK = *.sci
517 # Mask of the Scilab executable sources macros
518 MACROBUILDMASK = *.sce
519 # Mask of the Scilab compiled macros
520 MACROBINMASK = *.bin
521 # List of the standard directory for tests
522 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
523 # Where the demos should be installed
524 pkgdemosdir = $(mydatadir)
525 # List of the standard directory for demos
526 DEMOS_DIR = demos
527 # List of the standard directory for examples
528 EXAMPLES_DIR = examples
529 # Where to export JAVA archives (.jar)
530 JARDIR = jar/
531 # JAR files mask
532 JARMASK = *.jar
533 # Chapter file 
534 HELP_CHAPTERDIR = help/
535 HELP_CHAPTERFILE = addchapter.sce
536 HELP_CHAPTERLANG = en_US fr_FR pt_BR
537 all: all-am
538
539 .SUFFIXES:
540 .SUFFIXES: .sci .bin .cpp .lo .o .obj
541 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
542         @for dep in $?; do \
543           case '$(am__configure_deps)' in \
544             *$$dep*) \
545               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
546                 && { if test -f $@; then exit 0; else break; fi; }; \
547               exit 1;; \
548           esac; \
549         done; \
550         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/api_scilab/Makefile'; \
551         $(am__cd) $(top_srcdir) && \
552           $(AUTOMAKE) --foreign modules/api_scilab/Makefile
553 .PRECIOUS: Makefile
554 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
555         @case '$?' in \
556           *config.status*) \
557             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
558           *) \
559             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
560             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
561         esac;
562
563 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
564         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
565
566 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
567         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
568 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
569         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
570 $(am__aclocal_m4_deps):
571
572 clean-noinstLTLIBRARIES:
573         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
574         @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
575           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
576           test "$$dir" != "$$p" || dir=.; \
577           echo "rm -f \"$${dir}/so_locations\""; \
578           rm -f "$${dir}/so_locations"; \
579         done
580 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
581         @$(NORMAL_INSTALL)
582         test -z "$(pkglibdir)" || $(MKDIR_P) "$(DESTDIR)$(pkglibdir)"
583         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
584         list2=; for p in $$list; do \
585           if test -f $$p; then \
586             list2="$$list2 $$p"; \
587           else :; fi; \
588         done; \
589         test -z "$$list2" || { \
590           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
591           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
592         }
593
594 uninstall-pkglibLTLIBRARIES:
595         @$(NORMAL_UNINSTALL)
596         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
597         for p in $$list; do \
598           $(am__strip_dir) \
599           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
600           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
601         done
602
603 clean-pkglibLTLIBRARIES:
604         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
605         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
606           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
607           test "$$dir" != "$$p" || dir=.; \
608           echo "rm -f \"$${dir}/so_locations\""; \
609           rm -f "$${dir}/so_locations"; \
610         done
611 libsciapi_scilab.la: $(libsciapi_scilab_la_OBJECTS) $(libsciapi_scilab_la_DEPENDENCIES) 
612         $(libsciapi_scilab_la_LINK) $(am_libsciapi_scilab_la_rpath) $(libsciapi_scilab_la_OBJECTS) $(libsciapi_scilab_la_LIBADD) $(LIBS)
613
614 mostlyclean-compile:
615         -rm -f *.$(OBJEXT)
616
617 distclean-compile:
618         -rm -f *.tab.c
619
620 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_boolean.Plo@am__quote@
621 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_boolean_sparse.Plo@am__quote@
622 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_common.Plo@am__quote@
623 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_double.Plo@am__quote@
624 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_error.Plo@am__quote@
625 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_int.Plo@am__quote@
626 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_list.Plo@am__quote@
627 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_pointer.Plo@am__quote@
628 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_poly.Plo@am__quote@
629 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_sparse.Plo@am__quote@
630 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_string.Plo@am__quote@
631
632 .cpp.o:
633 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
634 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
635 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
636 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
637 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ $<
638
639 .cpp.obj:
640 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
641 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
642 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
643 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
644 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
645
646 .cpp.lo:
647 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
648 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
649 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
650 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
651 @am__fastdepCXX_FALSE@  $(LTCXXCOMPILE) -c -o $@ $<
652
653 libsciapi_scilab_la-api_boolean.lo: src/cpp/api_boolean.cpp
654 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_boolean.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_boolean.Tpo -c -o libsciapi_scilab_la-api_boolean.lo `test -f 'src/cpp/api_boolean.cpp' || echo '$(srcdir)/'`src/cpp/api_boolean.cpp
655 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_boolean.Tpo $(DEPDIR)/libsciapi_scilab_la-api_boolean.Plo
656 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/api_boolean.cpp' object='libsciapi_scilab_la-api_boolean.lo' libtool=yes @AMDEPBACKSLASH@
657 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
658 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_boolean.lo `test -f 'src/cpp/api_boolean.cpp' || echo '$(srcdir)/'`src/cpp/api_boolean.cpp
659
660 libsciapi_scilab_la-api_boolean_sparse.lo: src/cpp/api_boolean_sparse.cpp
661 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_boolean_sparse.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_boolean_sparse.Tpo -c -o libsciapi_scilab_la-api_boolean_sparse.lo `test -f 'src/cpp/api_boolean_sparse.cpp' || echo '$(srcdir)/'`src/cpp/api_boolean_sparse.cpp
662 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_boolean_sparse.Tpo $(DEPDIR)/libsciapi_scilab_la-api_boolean_sparse.Plo
663 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/api_boolean_sparse.cpp' object='libsciapi_scilab_la-api_boolean_sparse.lo' libtool=yes @AMDEPBACKSLASH@
664 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
665 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_boolean_sparse.lo `test -f 'src/cpp/api_boolean_sparse.cpp' || echo '$(srcdir)/'`src/cpp/api_boolean_sparse.cpp
666
667 libsciapi_scilab_la-api_common.lo: src/cpp/api_common.cpp
668 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_common.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_common.Tpo -c -o libsciapi_scilab_la-api_common.lo `test -f 'src/cpp/api_common.cpp' || echo '$(srcdir)/'`src/cpp/api_common.cpp
669 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_common.Tpo $(DEPDIR)/libsciapi_scilab_la-api_common.Plo
670 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/api_common.cpp' object='libsciapi_scilab_la-api_common.lo' libtool=yes @AMDEPBACKSLASH@
671 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
672 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_common.lo `test -f 'src/cpp/api_common.cpp' || echo '$(srcdir)/'`src/cpp/api_common.cpp
673
674 libsciapi_scilab_la-api_double.lo: src/cpp/api_double.cpp
675 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_double.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_double.Tpo -c -o libsciapi_scilab_la-api_double.lo `test -f 'src/cpp/api_double.cpp' || echo '$(srcdir)/'`src/cpp/api_double.cpp
676 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_double.Tpo $(DEPDIR)/libsciapi_scilab_la-api_double.Plo
677 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/api_double.cpp' object='libsciapi_scilab_la-api_double.lo' libtool=yes @AMDEPBACKSLASH@
678 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
679 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_double.lo `test -f 'src/cpp/api_double.cpp' || echo '$(srcdir)/'`src/cpp/api_double.cpp
680
681 libsciapi_scilab_la-api_int.lo: src/cpp/api_int.cpp
682 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_int.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_int.Tpo -c -o libsciapi_scilab_la-api_int.lo `test -f 'src/cpp/api_int.cpp' || echo '$(srcdir)/'`src/cpp/api_int.cpp
683 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_int.Tpo $(DEPDIR)/libsciapi_scilab_la-api_int.Plo
684 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/api_int.cpp' object='libsciapi_scilab_la-api_int.lo' libtool=yes @AMDEPBACKSLASH@
685 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
686 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_int.lo `test -f 'src/cpp/api_int.cpp' || echo '$(srcdir)/'`src/cpp/api_int.cpp
687
688 libsciapi_scilab_la-api_list.lo: src/cpp/api_list.cpp
689 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_list.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_list.Tpo -c -o libsciapi_scilab_la-api_list.lo `test -f 'src/cpp/api_list.cpp' || echo '$(srcdir)/'`src/cpp/api_list.cpp
690 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_list.Tpo $(DEPDIR)/libsciapi_scilab_la-api_list.Plo
691 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/api_list.cpp' object='libsciapi_scilab_la-api_list.lo' libtool=yes @AMDEPBACKSLASH@
692 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
693 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_list.lo `test -f 'src/cpp/api_list.cpp' || echo '$(srcdir)/'`src/cpp/api_list.cpp
694
695 libsciapi_scilab_la-api_poly.lo: src/cpp/api_poly.cpp
696 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_poly.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_poly.Tpo -c -o libsciapi_scilab_la-api_poly.lo `test -f 'src/cpp/api_poly.cpp' || echo '$(srcdir)/'`src/cpp/api_poly.cpp
697 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_poly.Tpo $(DEPDIR)/libsciapi_scilab_la-api_poly.Plo
698 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/api_poly.cpp' object='libsciapi_scilab_la-api_poly.lo' libtool=yes @AMDEPBACKSLASH@
699 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
700 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_poly.lo `test -f 'src/cpp/api_poly.cpp' || echo '$(srcdir)/'`src/cpp/api_poly.cpp
701
702 libsciapi_scilab_la-api_sparse.lo: src/cpp/api_sparse.cpp
703 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_sparse.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_sparse.Tpo -c -o libsciapi_scilab_la-api_sparse.lo `test -f 'src/cpp/api_sparse.cpp' || echo '$(srcdir)/'`src/cpp/api_sparse.cpp
704 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_sparse.Tpo $(DEPDIR)/libsciapi_scilab_la-api_sparse.Plo
705 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/api_sparse.cpp' object='libsciapi_scilab_la-api_sparse.lo' libtool=yes @AMDEPBACKSLASH@
706 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
707 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_sparse.lo `test -f 'src/cpp/api_sparse.cpp' || echo '$(srcdir)/'`src/cpp/api_sparse.cpp
708
709 libsciapi_scilab_la-api_string.lo: src/cpp/api_string.cpp
710 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_string.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_string.Tpo -c -o libsciapi_scilab_la-api_string.lo `test -f 'src/cpp/api_string.cpp' || echo '$(srcdir)/'`src/cpp/api_string.cpp
711 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_string.Tpo $(DEPDIR)/libsciapi_scilab_la-api_string.Plo
712 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/api_string.cpp' object='libsciapi_scilab_la-api_string.lo' libtool=yes @AMDEPBACKSLASH@
713 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
714 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_string.lo `test -f 'src/cpp/api_string.cpp' || echo '$(srcdir)/'`src/cpp/api_string.cpp
715
716 libsciapi_scilab_la-api_pointer.lo: src/cpp/api_pointer.cpp
717 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_pointer.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_pointer.Tpo -c -o libsciapi_scilab_la-api_pointer.lo `test -f 'src/cpp/api_pointer.cpp' || echo '$(srcdir)/'`src/cpp/api_pointer.cpp
718 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_pointer.Tpo $(DEPDIR)/libsciapi_scilab_la-api_pointer.Plo
719 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/api_pointer.cpp' object='libsciapi_scilab_la-api_pointer.lo' libtool=yes @AMDEPBACKSLASH@
720 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
721 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_pointer.lo `test -f 'src/cpp/api_pointer.cpp' || echo '$(srcdir)/'`src/cpp/api_pointer.cpp
722
723 libsciapi_scilab_la-api_error.lo: src/cpp/api_error.cpp
724 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_error.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_error.Tpo -c -o libsciapi_scilab_la-api_error.lo `test -f 'src/cpp/api_error.cpp' || echo '$(srcdir)/'`src/cpp/api_error.cpp
725 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_error.Tpo $(DEPDIR)/libsciapi_scilab_la-api_error.Plo
726 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/api_error.cpp' object='libsciapi_scilab_la-api_error.lo' libtool=yes @AMDEPBACKSLASH@
727 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
728 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_error.lo `test -f 'src/cpp/api_error.cpp' || echo '$(srcdir)/'`src/cpp/api_error.cpp
729
730 mostlyclean-libtool:
731         -rm -f *.lo
732
733 clean-libtool:
734         -rm -rf .libs _libs
735 install-libsciapi_scilab_la_etcDATA: $(libsciapi_scilab_la_etc_DATA)
736         @$(NORMAL_INSTALL)
737         test -z "$(libsciapi_scilab_la_etcdir)" || $(MKDIR_P) "$(DESTDIR)$(libsciapi_scilab_la_etcdir)"
738         @list='$(libsciapi_scilab_la_etc_DATA)'; test -n "$(libsciapi_scilab_la_etcdir)" || list=; \
739         for p in $$list; do \
740           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
741           echo "$$d$$p"; \
742         done | $(am__base_list) | \
743         while read files; do \
744           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciapi_scilab_la_etcdir)'"; \
745           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciapi_scilab_la_etcdir)" || exit $$?; \
746         done
747
748 uninstall-libsciapi_scilab_la_etcDATA:
749         @$(NORMAL_UNINSTALL)
750         @list='$(libsciapi_scilab_la_etc_DATA)'; test -n "$(libsciapi_scilab_la_etcdir)" || list=; \
751         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
752         test -n "$$files" || exit 0; \
753         echo " ( cd '$(DESTDIR)$(libsciapi_scilab_la_etcdir)' && rm -f" $$files ")"; \
754         cd "$(DESTDIR)$(libsciapi_scilab_la_etcdir)" && rm -f $$files
755 install-libsciapi_scilab_la_rootDATA: $(libsciapi_scilab_la_root_DATA)
756         @$(NORMAL_INSTALL)
757         test -z "$(libsciapi_scilab_la_rootdir)" || $(MKDIR_P) "$(DESTDIR)$(libsciapi_scilab_la_rootdir)"
758         @list='$(libsciapi_scilab_la_root_DATA)'; test -n "$(libsciapi_scilab_la_rootdir)" || list=; \
759         for p in $$list; do \
760           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
761           echo "$$d$$p"; \
762         done | $(am__base_list) | \
763         while read files; do \
764           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciapi_scilab_la_rootdir)'"; \
765           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciapi_scilab_la_rootdir)" || exit $$?; \
766         done
767
768 uninstall-libsciapi_scilab_la_rootDATA:
769         @$(NORMAL_UNINSTALL)
770         @list='$(libsciapi_scilab_la_root_DATA)'; test -n "$(libsciapi_scilab_la_rootdir)" || list=; \
771         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
772         test -n "$$files" || exit 0; \
773         echo " ( cd '$(DESTDIR)$(libsciapi_scilab_la_rootdir)' && rm -f" $$files ")"; \
774         cd "$(DESTDIR)$(libsciapi_scilab_la_rootdir)" && rm -f $$files
775 install-libsciapi_scilab_la_includeHEADERS: $(libsciapi_scilab_la_include_HEADERS)
776         @$(NORMAL_INSTALL)
777         test -z "$(libsciapi_scilab_la_includedir)" || $(MKDIR_P) "$(DESTDIR)$(libsciapi_scilab_la_includedir)"
778         @list='$(libsciapi_scilab_la_include_HEADERS)'; test -n "$(libsciapi_scilab_la_includedir)" || list=; \
779         for p in $$list; do \
780           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
781           echo "$$d$$p"; \
782         done | $(am__base_list) | \
783         while read files; do \
784           echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(libsciapi_scilab_la_includedir)'"; \
785           $(INSTALL_HEADER) $$files "$(DESTDIR)$(libsciapi_scilab_la_includedir)" || exit $$?; \
786         done
787
788 uninstall-libsciapi_scilab_la_includeHEADERS:
789         @$(NORMAL_UNINSTALL)
790         @list='$(libsciapi_scilab_la_include_HEADERS)'; test -n "$(libsciapi_scilab_la_includedir)" || list=; \
791         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
792         test -n "$$files" || exit 0; \
793         echo " ( cd '$(DESTDIR)$(libsciapi_scilab_la_includedir)' && rm -f" $$files ")"; \
794         cd "$(DESTDIR)$(libsciapi_scilab_la_includedir)" && rm -f $$files
795
796 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
797         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
798         unique=`for i in $$list; do \
799             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
800           done | \
801           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
802               END { if (nonempty) { for (i in files) print i; }; }'`; \
803         mkid -fID $$unique
804 tags: TAGS
805
806 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
807                 $(TAGS_FILES) $(LISP)
808         set x; \
809         here=`pwd`; \
810         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
811         unique=`for i in $$list; do \
812             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
813           done | \
814           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
815               END { if (nonempty) { for (i in files) print i; }; }'`; \
816         shift; \
817         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
818           test -n "$$unique" || unique=$$empty_fix; \
819           if test $$# -gt 0; then \
820             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
821               "$$@" $$unique; \
822           else \
823             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
824               $$unique; \
825           fi; \
826         fi
827 ctags: CTAGS
828 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
829                 $(TAGS_FILES) $(LISP)
830         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
831         unique=`for i in $$list; do \
832             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
833           done | \
834           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
835               END { if (nonempty) { for (i in files) print i; }; }'`; \
836         test -z "$(CTAGS_ARGS)$$unique" \
837           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
838              $$unique
839
840 GTAGS:
841         here=`$(am__cd) $(top_builddir) && pwd` \
842           && $(am__cd) $(top_srcdir) \
843           && gtags -i $(GTAGS_ARGS) "$$here"
844
845 distclean-tags:
846         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
847
848 distdir: $(DISTFILES)
849         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
850         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
851         list='$(DISTFILES)'; \
852           dist_files=`for file in $$list; do echo $$file; done | \
853           sed -e "s|^$$srcdirstrip/||;t" \
854               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
855         case $$dist_files in \
856           */*) $(MKDIR_P) `echo "$$dist_files" | \
857                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
858                            sort -u` ;; \
859         esac; \
860         for file in $$dist_files; do \
861           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
862           if test -d $$d/$$file; then \
863             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
864             if test -d "$(distdir)/$$file"; then \
865               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
866             fi; \
867             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
868               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
869               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
870             fi; \
871             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
872           else \
873             test -f "$(distdir)/$$file" \
874             || cp -p $$d/$$file "$(distdir)/$$file" \
875             || exit 1; \
876           fi; \
877         done
878 check-am: all-am
879         $(MAKE) $(AM_MAKEFLAGS) check-local
880 check: check-am
881 all-am: Makefile $(LTLIBRARIES) $(DATA) $(HEADERS) all-local
882 installdirs:
883         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciapi_scilab_la_etcdir)" "$(DESTDIR)$(libsciapi_scilab_la_rootdir)" "$(DESTDIR)$(libsciapi_scilab_la_includedir)"; do \
884           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
885         done
886 install: install-am
887 install-exec: install-exec-am
888 install-data: install-data-am
889 uninstall: uninstall-am
890
891 install-am: all-am
892         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
893
894 installcheck: installcheck-am
895 install-strip:
896         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
897           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
898           `test -z '$(STRIP)' || \
899             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
900 mostlyclean-generic:
901
902 clean-generic:
903
904 distclean-generic:
905         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
906         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
907
908 maintainer-clean-generic:
909         @echo "This command is intended for maintainers to use"
910         @echo "it deletes files that may require special tools to rebuild."
911 clean: clean-am
912
913 clean-am: clean-generic clean-libtool clean-local \
914         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
915
916 distclean: distclean-am
917         -rm -rf ./$(DEPDIR)
918         -rm -f Makefile
919 distclean-am: clean-am distclean-compile distclean-generic \
920         distclean-local distclean-tags
921
922 dvi: dvi-am
923
924 dvi-am:
925
926 html: html-am
927
928 html-am:
929
930 info: info-am
931
932 info-am:
933
934 install-data-am: install-data-local \
935         install-libsciapi_scilab_la_etcDATA \
936         install-libsciapi_scilab_la_includeHEADERS \
937         install-libsciapi_scilab_la_rootDATA
938
939 install-dvi: install-dvi-am
940
941 install-dvi-am:
942
943 install-exec-am: install-pkglibLTLIBRARIES
944
945 install-html: install-html-am
946
947 install-html-am: install-html-local
948
949 install-info: install-info-am
950
951 install-info-am:
952
953 install-man:
954
955 install-pdf: install-pdf-am
956
957 install-pdf-am:
958
959 install-ps: install-ps-am
960
961 install-ps-am:
962
963 installcheck-am:
964
965 maintainer-clean: maintainer-clean-am
966         -rm -rf ./$(DEPDIR)
967         -rm -f Makefile
968 maintainer-clean-am: distclean-am maintainer-clean-generic
969
970 mostlyclean: mostlyclean-am
971
972 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
973         mostlyclean-libtool
974
975 pdf: pdf-am
976
977 pdf-am:
978
979 ps: ps-am
980
981 ps-am:
982
983 uninstall-am: uninstall-libsciapi_scilab_la_etcDATA \
984         uninstall-libsciapi_scilab_la_includeHEADERS \
985         uninstall-libsciapi_scilab_la_rootDATA \
986         uninstall-pkglibLTLIBRARIES
987
988 .MAKE: check-am install-am install-strip
989
990 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
991         clean clean-generic clean-libtool clean-local \
992         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES ctags \
993         distclean distclean-compile distclean-generic \
994         distclean-libtool distclean-local distclean-tags distdir dvi \
995         dvi-am html html-am info info-am install install-am \
996         install-data install-data-am install-data-local install-dvi \
997         install-dvi-am install-exec install-exec-am install-html \
998         install-html-am install-html-local install-info \
999         install-info-am install-libsciapi_scilab_la_etcDATA \
1000         install-libsciapi_scilab_la_includeHEADERS \
1001         install-libsciapi_scilab_la_rootDATA install-man install-pdf \
1002         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1003         install-ps-am install-strip installcheck installcheck-am \
1004         installdirs maintainer-clean maintainer-clean-generic \
1005         mostlyclean mostlyclean-compile mostlyclean-generic \
1006         mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
1007         uninstall-am uninstall-libsciapi_scilab_la_etcDATA \
1008         uninstall-libsciapi_scilab_la_includeHEADERS \
1009         uninstall-libsciapi_scilab_la_rootDATA \
1010         uninstall-pkglibLTLIBRARIES
1011
1012
1013 # This target enables tests for Scilab
1014 check-local: $(top_builddir)/scilab-bin test
1015         @COMMAND="test_run('$(modulename)');quit";\
1016         export LANG=C;\
1017         $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"
1018 check-code:
1019         if test -f build.xml; then \
1020                 $(ANT) checkstyle; \
1021         fi
1022         if test -x "$(SPLINT)"; then \
1023                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1024         fi
1025 @NEED_JAVA_TRUE@java:
1026 # Some configurations needs to export JAVA_HOME in the current env
1027 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1028 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1029 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1030 @NEED_JAVA_TRUE@                $(ANT); \
1031 @NEED_JAVA_TRUE@        fi
1032
1033 @NEED_JAVA_TRUE@clean-java:
1034 # Some configurations needs to export JAVA_HOME in the current env
1035 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1036 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1037 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1038 @NEED_JAVA_TRUE@                $(ANT) clean; \
1039 @NEED_JAVA_TRUE@        fi;
1040
1041 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1042 # We call the target swig-build on the variable SWIG_WRAPPERS
1043
1044 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1045 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1046 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1047 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1048 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1049 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1050 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1051 @SWIG_TRUE@             done; \
1052 @SWIG_TRUE@     fi
1053
1054 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1055 # We call the target swig-build on the variable SWIG_WRAPPERS
1056
1057 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1058 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1059 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1060 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1061 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1062 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1063 @GIWS_TRUE@             done; \
1064 @GIWS_TRUE@     fi
1065
1066 @GIWS_TRUE@giws-exception:
1067 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1068 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1069 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1070
1071 macros:
1072         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1073                 echo "Error : Cannot build $< : Scilab has not been built"; \
1074         else \
1075                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1076         fi)
1077
1078 # Removes the macros
1079 clean-macros:
1080 # Removes macros (*.bin generated from .sci)
1081         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1082                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1083                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1084         done
1085
1086 test:
1087 # More tests could be added here
1088         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1089         if test -f build.xml -a $$USEANT -eq 1; then \
1090                 $(ANT) test; \
1091         fi
1092
1093 all-local: $(TARGETS_ALL)
1094
1095 .sci.bin:
1096         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1097         echo "Error : Cannot build $< : Scilab has not been build"; \
1098         else \
1099         echo "Creating $@"; \
1100         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1101         fi )
1102
1103 install-html-local:
1104
1105 install-data-local-local:
1106 # Mainly for javasci
1107         @if test -d $(srcdir)/javadoc; then \
1108                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1109         fi
1110 # If the user wants the help sources to be installed
1111 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1112 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1113 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1114 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1115 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1116 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1117 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1118 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1119 @INSTALL_HELP_XML_TRUE@           done ; \
1120 @INSTALL_HELP_XML_TRUE@         fi; \
1121 @INSTALL_HELP_XML_TRUE@  fi; \
1122 @INSTALL_HELP_XML_TRUE@ done; \
1123 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1124 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1125 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1126 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1127 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1128 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1129 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1130 @INSTALL_HELP_XML_TRUE@           done ; \
1131 @INSTALL_HELP_XML_TRUE@         fi; \
1132 @INSTALL_HELP_XML_TRUE@ fi
1133 install-data-local:
1134 # Install the tests
1135         @echo "-------- Install tests (if any) --------"; \
1136         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1137           if test -d $(srcdir)/$$dir/; then \
1138             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1139                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1140                     if test -d "$(srcdir)/$$dir/$$file"; then \
1141                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1142                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1143                     else \
1144                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1145                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1146                     fi \
1147                   done; \
1148           fi; \
1149         done
1150 # Install the help chapter
1151         @echo "-------- Install the help chapter (if any) --------"; \
1152         for lang in $(HELP_CHAPTERLANG); do \
1153                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1154                 if test -f $$HELPFILE; then \
1155                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1156                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1157                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1158                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1159                 fi; \
1160         done
1161 # Install the demos & examples
1162         @echo "-------- Install demos & examples (if any) --------"; \
1163         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1164           if test -d $(srcdir)/$$dir/; then \
1165             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1166                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1167                     if test -d "$(srcdir)/$$dir/$$file"; then \
1168                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1169                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1170                     else \
1171                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1172                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1173                     fi \
1174                   done; \
1175           fi; \
1176         done
1177 # Install the macros
1178         @echo "-------- Install macros (if any) --------"; \
1179         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1180           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1181                 if test -d $(srcdir)/$$dir/; then \
1182                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1183                         if test -n "$(MACROSSPECIALEXT)"; then \
1184                                 specialExtDir=""; \
1185                                 for specialExt in $(MACROSSPECIALEXT); do \
1186                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1187                                 done; \
1188                                 FILELIST="$$FILELIST $$specialExtDir"; \
1189                         fi; \
1190                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1191                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1192                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1193                   done; \
1194                 fi; \
1195         done
1196 # Install java files (.jar)
1197         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1198         echo "-------- Install jar files --------"; \
1199     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1200           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1201                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1202                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1203           done ; \
1204         fi
1205
1206 ########### CLEAN ###################
1207 # Clean help (generated automatically by Scilab)
1208 # It used to clean the macro (clean-macros) but this was causing
1209 # make clean && make to fail Scilab startup
1210 @NEED_JAVA_TRUE@clean-local: clean-java
1211 @NEED_JAVA_FALSE@clean-local:
1212
1213 distclean-local:
1214         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1215
1216 .PHONY: macros java swig giws
1217
1218 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1219 # Otherwise a system limit (for SysV at least) may be exceeded.
1220 .NOEXPORT: